libabw::ABWStylesCollector Class Reference documentation

Public Member Functions | Private Member Functions | Private Attributes | List of all members
libabw::ABWStylesCollector Class Reference

`#include <ABWStylesCollector.h>`

Inheritance diagram for libabw::ABWStylesCollector:

## Public Member Functions
| ABWStylesCollector (std::map< int, int > &tableSizes, std::map< std::string, ABWData > &data, std::map< int, std::shared_ptr< ABWListElement > > &listElements)
| ~ABWStylesCollector () override
void | collectTextStyle (const char *, const char *, const char *, const char *) override
void | collectDocumentProperties (const char *) override
void | collectParagraphProperties (const char *level, const char *listid, const char *parentid, const char *style, const char *props) override
void | collectSectionProperties (const char *, const char *, const char *, const char *, const char *, const char *, const char *, const char *, const char *) override
void | collectCharacterProperties (const char *, const char *) override
void | collectPageSize (const char *, const char *, const char *, const char *) override
void | closeParagraphOrListElement () override
void | closeSpan () override
void | openLink (const char *) override
void | closeLink () override
void | openFoot (const char *) override
void | closeFoot () override
void | openEndnote (const char *) override
void | closeEndnote () override
void | openField (const char *, const char *) override
void | closeField () override
void | endSection () override
void | startDocument () override
void | endDocument () override
void | insertLineBreak () override
void | insertColumnBreak () override
void | insertPageBreak () override
void | insertText (const char *) override
void | insertImage (const char *, const char *) override
void | collectData (const char *name, const char *mimeType, const librevenge::RVNGBinaryData &data) override
void | collectHeaderFooter (const char *, const char *) override
void | collectList (const char *id, const char *listDecimal, const char *listDelim, const char *parentid, const char *startValue, const char *type) override
void | openTable (const char *props) override
void | closeTable () override
void | openCell (const char *props) override
void | closeCell () override
void | openFrame (const char *, const char *, const char *, const char *) override
void | closeFrame (ABWOutputElements *(&elements), bool &) override
void | addFrameElements (ABWOutputElements &, bool) override
void | addMetadataEntry (const char *, const char *) override
Public Member Functions inherited from libabw::ABWCollector
| ABWCollector ()
virtual | ~ABWCollector ()
virtual void | collectTextStyle (const char *name, const char *basedon, const char *followedby, const char *props)=0
virtual void | collectDocumentProperties (const char *props)=0
virtual void | collectParagraphProperties (const char *level, const char *listid, const char *parentid, const char *style, const char *props)=0
virtual void | collectSectionProperties (const char *footer, const char *footerLeft, const char *footerFirst, const char *footerLast, const char *header, const char *headerLeft, const char *headerFirst, const char *headerLast, const char *props)=0
virtual void | collectCharacterProperties (const char *style, const char *props)=0
virtual void | collectPageSize (const char *width, const char *height, const char *units, const char *pageScale)=0
virtual void | closeParagraphOrListElement ()=0
virtual void | closeSpan ()=0
virtual void | openLink (const char *href)=0
virtual void | closeLink ()=0
virtual void | openFoot (const char *id)=0
virtual void | closeFoot ()=0
virtual void | openEndnote (const char *id)=0
virtual void | closeEndnote ()=0
virtual void | openField (const char *type, const char *id)=0
virtual void | closeField ()=0
virtual void | endSection ()=0
virtual void | startDocument ()=0
virtual void | endDocument ()=0
virtual void | insertLineBreak ()=0
virtual void | insertColumnBreak ()=0
virtual void | insertPageBreak ()=0
virtual void | insertText (const char *text)=0
virtual void | insertImage (const char *dataid, const char *props)=0
virtual void | collectList (const char *id, const char *listDecimal, const char *listDelim, const char *parentid, const char *startValue, const char *type)=0
virtual void | collectData (const char *name, const char *mimeType, const librevenge::RVNGBinaryData &data)=0
virtual void | collectHeaderFooter (const char *id, const char *type)=0
virtual void | openTable (const char *props)=0
virtual void | closeTable ()=0
virtual void | openCell (const char *props)=0
virtual void | closeCell ()=0
virtual void | openFrame (const char *props, const char *imageId, const char *title, const char *alt)=0
virtual void | closeFrame (ABWOutputElements *(&elements), bool &pageFrame)=0
virtual void | addFrameElements (ABWOutputElements &elements, bool pageFrame)=0
virtual void | addMetadataEntry (const char *name, const char *value)=0

## Private Member Functions
| ABWStylesCollector (const ABWStylesCollector &)
ABWStylesCollector & | operator= (const ABWStylesCollector &)
std::string | _findCellProperty (const char *name)
void | _processList (int id, const char *listDelim, int parentid, int startValue, int type)

## Private Attributes
std::unique_ptr< ABWStylesParsingState > | m_ps
std::map< int, int > & | m_tableSizes
std::map< std::string, ABWData > & | m_data
int | m_tableCounter
std::map< int, std::shared_ptr< ABWListElement > > & | m_listElements

## Constructor & Destructor Documentation

## ◆ ABWStylesCollector() [1/2]

libabw::ABWStylesCollector::ABWStylesCollector | ( | std::map< int, int > & | tableSizes,
|  | std::map< std::string, ABWData > & | data,
|  | std::map< int, std::shared_ptr< ABWListElement > > & | listElements
| ) |  |

## ◆ ~ABWStylesCollector()

libabw::ABWStylesCollector::~ABWStylesCollector | ( |  | ) |
| override

## ◆ ABWStylesCollector() [2/2]

libabw::ABWStylesCollector::ABWStylesCollector | ( | const ABWStylesCollector & |  | ) |
| private

## Member Function Documentation

## ◆ _findCellProperty()

std::string libabw::ABWStylesCollector::_findCellProperty | ( | const char * | name | ) |
| private

## ◆ _processList()

void libabw::ABWStylesCollector::_processList | ( | int | id,
|  | const char * | listDelim,
|  | int | parentid,
|  | int | startValue,
|  | int | type
| ) |  |
| private

## ◆ addFrameElements()

void libabw::ABWStylesCollector::addFrameElements | ( | ABWOutputElements & | ,
|  | bool |
| ) |  |
| inlineoverridevirtual

Implements libabw::ABWCollector.

## ◆ addMetadataEntry()

void libabw::ABWStylesCollector::addMetadataEntry | ( | const char * | ,
|  | const char * |
| ) |  |
| inlineoverridevirtual

Implements libabw::ABWCollector.

## ◆ closeCell()

void libabw::ABWStylesCollector::closeCell | ( |  | ) |
| overridevirtual

Implements libabw::ABWCollector.

## ◆ closeEndnote()

void libabw::ABWStylesCollector::closeEndnote | ( |  | ) |
| inlineoverridevirtual

Implements libabw::ABWCollector.

## ◆ closeField()

void libabw::ABWStylesCollector::closeField | ( |  | ) |
| inlineoverridevirtual

Implements libabw::ABWCollector.

## ◆ closeFoot()

void libabw::ABWStylesCollector::closeFoot | ( |  | ) |
| inlineoverridevirtual

Implements libabw::ABWCollector.

## ◆ closeFrame()

void libabw::ABWStylesCollector::closeFrame | ( | ABWOutputElements *& | elements,
|  | bool & |
| ) |  |
| inlineoverridevirtual

Implements libabw::ABWCollector.

## ◆ closeLink()

void libabw::ABWStylesCollector::closeLink | ( |  | ) |
| inlineoverridevirtual

Implements libabw::ABWCollector.

## ◆ closeParagraphOrListElement()

void libabw::ABWStylesCollector::closeParagraphOrListElement | ( |  | ) |
| inlineoverridevirtual

Implements libabw::ABWCollector.

## ◆ closeSpan()

void libabw::ABWStylesCollector::closeSpan | ( |  | ) |
| inlineoverridevirtual

Implements libabw::ABWCollector.

## ◆ closeTable()

void libabw::ABWStylesCollector::closeTable | ( |  | ) |
| overridevirtual

Implements libabw::ABWCollector.

## ◆ collectCharacterProperties()

void libabw::ABWStylesCollector::collectCharacterProperties | ( | const char * | ,
|  | const char * |
| ) |  |
| inlineoverridevirtual

Implements libabw::ABWCollector.

## ◆ collectData()

void libabw::ABWStylesCollector::collectData | ( | const char * | name,
|  | const char * | mimeType,
|  | const librevenge::RVNGBinaryData & | data
| ) |  |
| overridevirtual

Implements libabw::ABWCollector.

## ◆ collectDocumentProperties()

void libabw::ABWStylesCollector::collectDocumentProperties | ( | const char * |  | ) |
| inlineoverridevirtual

Implements libabw::ABWCollector.

## ◆ collectHeaderFooter()

void libabw::ABWStylesCollector::collectHeaderFooter | ( | const char * | ,
|  | const char * |
| ) |  |
| inlineoverridevirtual

Implements libabw::ABWCollector.

## ◆ collectList()

void libabw::ABWStylesCollector::collectList | ( | const char * | id,
|  | const char * | listDecimal,
|  | const char * | listDelim,
|  | const char * | parentid,
|  | const char * | startValue,
|  | const char * | type
| ) |  |
| overridevirtual

Implements libabw::ABWCollector.

## ◆ collectPageSize()

void libabw::ABWStylesCollector::collectPageSize | ( | const char * | ,
|  | const char * | ,
|  | const char * | ,
|  | const char * |
| ) |  |
| inlineoverridevirtual

Implements libabw::ABWCollector.

## ◆ collectParagraphProperties()

void libabw::ABWStylesCollector::collectParagraphProperties | ( | const char * | level,
|  | const char * | listid,
|  | const char * | parentid,
|  | const char * | style,
|  | const char * | props
| ) |  |
| overridevirtual

Implements libabw::ABWCollector.

## ◆ collectSectionProperties()

void libabw::ABWStylesCollector::collectSectionProperties | ( | const char * | ,
|  | const char * | ,
|  | const char * | ,
|  | const char * | ,
|  | const char * | ,
|  | const char * | ,
|  | const char * | ,
|  | const char * | ,
|  | const char * |
| ) |  |
| inlineoverridevirtual

Implements libabw::ABWCollector.

## ◆ collectTextStyle()

void libabw::ABWStylesCollector::collectTextStyle | ( | const char * | ,
|  | const char * | ,
|  | const char * | ,
|  | const char * |
| ) |  |
| inlineoverridevirtual

Implements libabw::ABWCollector.

## ◆ endDocument()

void libabw::ABWStylesCollector::endDocument | ( |  | ) |
| inlineoverridevirtual

Implements libabw::ABWCollector.

## ◆ endSection()

void libabw::ABWStylesCollector::endSection | ( |  | ) |
| inlineoverridevirtual

Implements libabw::ABWCollector.

## ◆ insertColumnBreak()

void libabw::ABWStylesCollector::insertColumnBreak | ( |  | ) |
| inlineoverridevirtual

Implements libabw::ABWCollector.

## ◆ insertImage()

void libabw::ABWStylesCollector::insertImage | ( | const char * | ,
|  | const char * |
| ) |  |
| inlineoverridevirtual

Implements libabw::ABWCollector.

## ◆ insertLineBreak()

void libabw::ABWStylesCollector::insertLineBreak | ( |  | ) |
| inlineoverridevirtual

Implements libabw::ABWCollector.

## ◆ insertPageBreak()

void libabw::ABWStylesCollector::insertPageBreak | ( |  | ) |
| inlineoverridevirtual

Implements libabw::ABWCollector.

## ◆ insertText()

void libabw::ABWStylesCollector::insertText | ( | const char * |  | ) |
| inlineoverridevirtual

Implements libabw::ABWCollector.

## ◆ openCell()

void libabw::ABWStylesCollector::openCell | ( | const char * | props | ) |
| overridevirtual

Implements libabw::ABWCollector.

## ◆ openEndnote()

void libabw::ABWStylesCollector::openEndnote | ( | const char * |  | ) |
| inlineoverridevirtual

Implements libabw::ABWCollector.

## ◆ openField()

void libabw::ABWStylesCollector::openField | ( | const char * | ,
|  | const char * |
| ) |  |
| inlineoverridevirtual

Implements libabw::ABWCollector.

## ◆ openFoot()

void libabw::ABWStylesCollector::openFoot | ( | const char * |  | ) |
| inlineoverridevirtual

Implements libabw::ABWCollector.

## ◆ openFrame()

void libabw::ABWStylesCollector::openFrame | ( | const char * | ,
|  | const char * | ,
|  | const char * | ,
|  | const char * |
| ) |  |
| inlineoverridevirtual

Implements libabw::ABWCollector.

## ◆ openLink()

void libabw::ABWStylesCollector::openLink | ( | const char * |  | ) |
| inlineoverridevirtual

Implements libabw::ABWCollector.

## ◆ openTable()

void libabw::ABWStylesCollector::openTable | ( | const char * | props | ) |
| overridevirtual

Implements libabw::ABWCollector.

## ◆ operator=()

ABWStylesCollector & libabw::ABWStylesCollector::operator= | ( | const ABWStylesCollector & |  | ) |
| private

## ◆ startDocument()

void libabw::ABWStylesCollector::startDocument | ( |  | ) |
| inlineoverridevirtual

Implements libabw::ABWCollector.

## Member Data Documentation

## ◆ m_data

std::map<std::string, ABWData>& libabw::ABWStylesCollector::m_data
| private

## ◆ m_listElements

std::map<int, std::shared_ptr<ABWListElement> >& libabw::ABWStylesCollector::m_listElements
| private

## ◆ m_ps

std::unique_ptr<ABWStylesParsingState> libabw::ABWStylesCollector::m_ps
| private

## ◆ m_tableCounter

int libabw::ABWStylesCollector::m_tableCounter
| private

## ◆ m_tableSizes

std::map<int, int>& libabw::ABWStylesCollector::m_tableSizes
| private

The documentation for this class was generated from the following files:

- ABWStylesCollector.h
- ABWStylesCollector.cpp